#Numero de octano de investigacin
#Regresion sin variables explicativas 
#------>#Cambiar direccin 
Datos<-read.csv("C:/Users/Daniel/Downloads/R_L_RON.csv", header = T) #Adjuntamiento de los resultados experimentales de las gasolinas publicadas en forma de matriz
attach(Datos)
Datos  #Adjuntamiento de datos en forma de tabla 
names(Datos) #Muestra los nombres de cada columna.

RLM.Vacio<-lm(formula = R.O.N~1,Datos) # Asignamos los valores, per solo le pedimos que genere la ordeneada al origen.
RLM.Vacio #Muestra el valor de la ordenada al origen.  
summary(RLM.Vacio) #Proporciona un resumen (valor estimado, error estandar y estadistico F para el modelo de regresin lineal)
#Regresion con todas las variables explicativas 
RLM.Completo<-lm(formula = R.O.N~.,Datos) #Le asiganmos los valores publicados a la variable RLM.Completo
RLM.Completo #Genera los valores de correlacin de Pearson para cada variable as como la intersepcin del modelo de regresin lineal
summary(RLM.Completo) #Proporciona un resumen (valor estimado, error estandar y estadistico F para el modelo de regresin lineal de todas las variables)
##Regresin forward
RLM.Forward<-step(RLM.Vacio,
                  scope = list(lower=RLM.Vacio, upper=RLM.Completo),
                  dirrection="forward") #Va agregando variable por variable tomando como criterio el estadistico F y los residuos mediante AIC, una vez que no cumple los criterios, deja de agregar ariables.
summary(RLM.Forward) #Proporciona un resumen de los resultados de la anterior linea (valores de los coeficientes beta estimados, errores estandar, estadisticos F, valor de R y R ajustada)
##Regresion backward
RLM.Backward<-step(RLM.Completo,
                   scope = list(lower=RLM.Vacio, upper=RLM.Completo),
                   dirrection="backward") #Agrega todas las variables y va eliminando una a una mediante el criterio AIC, hasta que ya no se cumplan los criterios de estadistico F y minimizacin de errores.
summary(RLM.Backward) #Proporciona un resumen de la anterior linea (valores de los coeficientes beta, errores estandar, valor de estadisico F, valor de R y R ajustada)
##Regresion stepwise
RLM.Stepwise<-step(RLM.Vacio,
                   scope = list(lower=RLM.Vacio, upper=RLM.Completo),
                   dirrection="both") #Es una combinacin de los metodos anteriores
summary(RLM.Stepwise) # Al igual que los anteriores metodos, proporciona un resumen: Valor de F, R, errores estandar y valores de los coeficientes que cumplen con el criterio AIC
cor.test(R.O.N, Parafinas) #Realiza correlacin de Pearson entre las variables asignadas
cor.test(R.O.N, Oxigenados) #Realiza correlacin de Pearson entre las variables asignadas
cor.test(Parafinas, Oxigenados) #Realiza correlacin de Pearson entre las variables asignadas
require(lmtest) #libreria necesaria para las siguientes lineas
dwtest(RLM.Stepwise) #Reliza el test de Durbin-Watson
plot(RLM.Stepwise) #Proporciona los supuestos de linealidad
residuos_1<-residuals(RLM.Stepwise) #Asignamos los valores de los residuos a la variable residuos_1 
hist(residuos_1) #generamos los residuos en forma de histograma para criterio de linealidad 
#Analisis de correlacion 
install.packages("psych", dependencies=TRUE) #Paquete necesario 
library(psych) #Libreria necesaria para continuacin del anlisis 
pairs.panels(Datos[c(1,2,7)]) #Proporciona las correlaciones de Pearson y las graficas entre cada variable, as comoo la tendencia entre cada una de ellas.

##Motor
#Regresion sin variables explicativas 
#------>Cambiar direccin
Datos.M<-read.csv("C:/Users/Daniel/Desktop
                  /Resultados_de_R/R.L.M/R_L_M_MON.csv", header = T)
attach(Datos.M)
Datos.M  #Adjuntamiento de datos en forma de tabla 
names(Datos.M)
RLM.Vacio.M<-lm(formula = M.O.N~1,Datos.M)
summary(RLM.Vacio.M)
#Regresion con todas las variables explicativas 
RLM.Completo.M<-lm(formula = M.O.N~.,Datos.M)
summary(RLM.Completo.M)
##Regresin forward
RLM.Forward.M<-step(RLM.Vacio.M,
                    scope = list(lower=RLM.Vacio.M, upper=RLM.Completo.M),
                    dirrection="forward")
summary(RLM.Forward.M)
##Regresion backward
RLM.Backward.M<-step(RLM.Completo.M,
                     scope = list(lower=RLM.Vacio.M, upper=RLM.Completo.M),
                     dirrection="backward")
summary(RLM.Backward.M)
##Regresion stepwise
RLM.Stepwise.M<-step(RLM.Vacio.M,
                     scope = list(lower=RLM.Vacio.M, upper=RLM.Completo.M),
                     dirrection="both")
summary(RLM.Stepwise.M)
cor.test(M.O.N, Aromatico)
cor.test(M.O.N, Nafteno)
cor.test(M.O.N, Oxigenado)
cor.test(M.O.N, Aromatico)
cor.test(M.O.N, Parafina)
require(lmtest)
dwtest(RLM.Stepwise.M)
plot(RLM.Stepwise.M)
residuos_2<-residuals(RLM.Stepwise.M)
hist(residuos_2)
#Diagrama de varias variables 
pairs(~., Datos.M)
#Analisis de correlacion 
library(psych)
pairs.panels(Datos.M[c(1,5,6,7)])
sd(M.O.N)
